Bug Hunting Session
Bug 124980 - Crash when defining a range
Summary: Crash when defining a range
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-26 11:49 UTC by Heiko Tietze
Modified: 2019-06-08 12:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-04-26 11:49:52 UTC
New > Tools > Defaine Range, Name = ABC > Enter => Crash

Version: 6.3.0.0.alpha0+
Build ID: 4657335fa5bcbe7980f229ca41ddd82d93c355eb
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-04-26 14:54:32 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: fad98c8641342a77241124dd98e0cb781daef4ad
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

New calc file - Data - Define range
Comment 2 Xisco Faulí 2019-04-26 15:00:36 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2019-04-11 12:05:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-11 22:18:01 +0200
commit	5dfc4fd2af11322dfbface30fd66c1ce553a0703 (patch)
tree	c3fad34763839cabf487a8e432ede52641737700
parent	86c1b5ff8f66747a3d4cebe6e2e0d1892db9ba9a (diff)
weld ScDbNameDlg

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2019-04-26 20:40:27 UTC
https://gerrit.libreoffice.org/#/c/71398/ probably fixes it
Comment 4 Commit Notification 2019-04-27 10:42:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9207516888e73398599a9890af78cd677ddd0992%5E%21

Resolves: tdf#124980 drop dangling timer

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-04-29 11:12:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8eb4ad0529c5efedf95c7220b6b8b9aad63e3ea4%5E%21

Resolves: tdf#124980 drop dangling timer

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 raal 2019-04-29 18:02:45 UTC
Delete keyword needUITest.Test already exist (https://opengrok.libreoffice.org/xref/core/uitest/manual_tests/calc.py), but we don't run tests under GTK3.
Comment 7 BogdanB 2019-06-08 12:07:41 UTC
No more crash
on 
Version: 6.3.0.0.beta1
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded